void profiler_vp(
                                	in float4 position : POSITION,
                                	in float4 color   : COLOR,
			                out float4 oPos    : POSITION,
			                out float4 oColor : TEXCOORD0 )
{	
   	oPos = position;
   	oColor = color;
}

void profiler_fp(
				out float4 color : COLOR0,
				in float4 inColor : TEXCOORD0
)
{
	color = inColor;
}
